#ifndef POSTCODEUTILS_H
#define POSTCODEUTILS_H

#ifdef _WINDOWS
#endif
#include "strutil.h"


struct expandedPostcode{
    char Area[2];
    char District[3];
    char Sector[1];
    char UnitPostcode[2];
    char null;
};


BOOL CheckPostcode(char * const in, char * const Outcode, char * const Incode);
char * ExpandOutcode(char *s);

void ExpandPostcode(const char *const s, struct expandedPostcode *p);
void ContractPostcode( char * dest, const char * source);
void GetUnitFromInt(char *incode, int uInt);
int GetUnitInt(char * incode);
unsigned int mailcodeToInt( char * m);
void mailcodeFromInt( char * m, int i);
char * CleanupStreet(char *s, int sz);
char * GetCountyFull(char *full, char *abbrev);
char * GetCountyAbbrev(char *abbrev, char *full);
char * GetNonPafCounty(char *county, char *countyAbbr, char *town);
void GetSectorCode(char *Sector, char * Outcode, char * Incode);
#endif

